List Conversion Updates
curl --request GET \
--url https://app.levanta.io/api/creator/v2/reports/conversions/updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.levanta.io/api/creator/v2/reports/conversions/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.levanta.io/api/creator/v2/reports/conversions/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.levanta.io/api/creator/v2/reports/conversions/updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.levanta.io/api/creator/v2/reports/conversions/updates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.levanta.io/api/creator/v2/reports/conversions/updates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.levanta.io/api/creator/v2/reports/conversions/updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"updates": [
{
"id": "<string>",
"date": "2023-11-07T05:31:56Z",
"quantityDiff": 123,
"salesDiff": "<string>",
"commissionAmountDiff": "<string>",
"conversion": {
"date": "2023-11-07T05:31:56Z",
"lockingDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"orderId": "<string>",
"quantity": 123,
"sales": "<string>",
"commissionAmount": "<string>",
"marketplace": "walmart.com",
"product": {
"primaryId": "<string>",
"ids": [
{
"label": "ASIN",
"value": "<string>"
}
],
"title": "<string>"
},
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"subid1": "<string>",
"subid2": "<string>",
"sharedId": "<string>",
"clickid": "<string>"
}
}
],
"cursor": "<string>"
}{
"status": 401,
"message": "Unauthorized"
}{
"status": 422,
"message": "Input Validation Failed"
}Reports
List Conversion Updates
List conversion updates within a date range [start, end]. Start date must be before end date and the date range must not be greater than 60 days
GET
/
reports
/
conversions
/
updates
List Conversion Updates
curl --request GET \
--url https://app.levanta.io/api/creator/v2/reports/conversions/updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.levanta.io/api/creator/v2/reports/conversions/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.levanta.io/api/creator/v2/reports/conversions/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.levanta.io/api/creator/v2/reports/conversions/updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.levanta.io/api/creator/v2/reports/conversions/updates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.levanta.io/api/creator/v2/reports/conversions/updates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.levanta.io/api/creator/v2/reports/conversions/updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"updates": [
{
"id": "<string>",
"date": "2023-11-07T05:31:56Z",
"quantityDiff": 123,
"salesDiff": "<string>",
"commissionAmountDiff": "<string>",
"conversion": {
"date": "2023-11-07T05:31:56Z",
"lockingDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"orderId": "<string>",
"quantity": 123,
"sales": "<string>",
"commissionAmount": "<string>",
"marketplace": "walmart.com",
"product": {
"primaryId": "<string>",
"ids": [
{
"label": "ASIN",
"value": "<string>"
}
],
"title": "<string>"
},
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"subid1": "<string>",
"subid2": "<string>",
"sharedId": "<string>",
"clickid": "<string>"
}
}
],
"cursor": "<string>"
}{
"status": 401,
"message": "Unauthorized"
}{
"status": 422,
"message": "Input Validation Failed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ
Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ
Represents a Levanta marketplace with conversion level data (ex: walmart.com, shopify.com). This union is subject to expand as new marketplaces are added.
Available options:
all, walmart.com, shopify.com, wayfair.com The cursor returned from the last request, if omitted the first page will be returned
Maximum string length:
512The maximum number of items to return
Required range:
1 <= x <= 500